var ANTI_PATTERN, PATTERN, Util;

PATTERN = 'GetReportBlock_';

ANTI_PATTERN = 'Drill_';

Util = {
  QAWS: "QAWS",
  WEBI: "WEBI",
  getType: function(typeDesc) {
    switch (typeDesc) {
      case 's:double':
      case 'xsd:double':
        return 'DOUBLE';
      case 's:string':
      case 'xsd:string':
        return 'STRING';
      case 's:dateTime':
      case 'xsd:dateTime':
        return 'DATETIME';
      default:
        return 'STRING';
    }
  },
  methodToTable: function(methodName) {
    if ((methodName.indexOf(PATTERN)) === 0) {
      return methodName.substring(PATTERN.length, methodName.length);
    } else if ((methodName.indexOf(ANTI_PATTERN)) === 0) {
      return null;
    } else {
      return methodName;
    }
  },
  getServiceType: function(wsdl) {
    var ref, ref1, ref2;
    if ((wsdl != null ? (ref = wsdl.definitions) != null ? (ref1 = ref.descriptions) != null ? (ref2 = ref1.types) != null ? ref2.Row : void 0 : void 0 : void 0 : void 0) != null) {
      return Util.QAWS;
    } else {
      return Util.WEBI;
    }
  },
  getMethodName: function(tableName, client) {
    if (client != null) {
      if (Util.getServiceType(client.wsdl) === Util.QAWS) {
        return tableName;
      }
    }
    if ((tableName == null) || typeof tableName !== 'string') {
      return '';
    }
    return PATTERN + tableName;
  },
  transformWebIToObjectArray: function(fields, data) {
    var ret;
    ret = [];
    if (((data != null ? data.length : void 0) != null) > 0) {
      ret = data.map(function(row) {
        var field, i, index, item, len, ref, ref1;
        item = null;
        if ((row != null ? (ref = row.cell) != null ? ref.length : void 0 : void 0) > 0) {
          item = {};
          ref1 = row.cell;
          for (index = i = 0, len = ref1.length; i < len; index = ++i) {
            field = ref1[index];
            item[fields[index].name] = field.$value;
          }
        }
        return item;
      }).filter(function(row) {
        return row !== null;
      });
    }
    return ret;
  },
  transformQAWSToObjectArray: function(fields, data) {
    if ((data == null) || (fields == null)) {
      return [];
    }
    return data;
  }
};

module.exports = Util;

//# sourceMappingURL=util.js.map
